> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Funds Recoveries

> Use this endpoint to list funds recovery requests with optional filters and pagination.



## OpenAPI

````yaml en/openapi/v3-current/indirect-pix.yaml GET /v1/dict/funds-recoveries
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/funds-recoveries:
    get:
      tags:
        - Funds Recovery API
      summary: List Funds Recoveries
      description: >-
        Use this endpoint to list funds recovery requests with optional filters
        and pagination.
      parameters:
        - name: limit
          in: query
          description: The maximum number of items to include in the response.
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
        - name: page
          in: query
          description: The number of the page that you want to retrieve.
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: sort_order
          in: query
          description: The order used to sort the results.
          schema:
            type: string
            enum:
              - asc
              - desc
            default: asc
        - name: status
          in: query
          description: Filter by funds recovery status.
          schema:
            type: string
            enum:
              - CREATED
              - TRACKED
              - AWAITING_ANALYSIS
              - ANALYSED
              - REFUNDING
              - COMPLETED
              - CANCELLED
        - name: situation_type
          in: query
          description: Filter by situation type.
          schema:
            type: string
            enum:
              - SCAM
              - ACCOUNT_TAKEOVER
              - COERCION
              - FRAUDULENT_ACCESS
              - OTHER
              - UNKNOWN
        - name: root_transaction_id
          in: query
          description: Filter by root transaction ID (32 characters).
          schema:
            type: string
        - name: modified_after
          in: query
          description: >-
            Filter by funds recoveries modified after this timestamp (RFC3339
            format).
          schema:
            type: string
        - name: modified_before
          in: query
          description: >-
            Filter by funds recoveries modified before this timestamp (RFC3339
            format).
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllFundsRecoveriesOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    GetAllFundsRecoveriesOutput:
      properties:
        items:
          items:
            $ref: '#/components/schemas/FundsRecoveryListItem'
          type: array
        limit:
          type: integer
          example: 10
        page:
          type: integer
          example: 1
        total:
          type: integer
          example: 42
      type: object
    ErrorFormat:
      type: object
      description: The response message error.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
    FundsRecoveryListItem:
      properties:
        bacenFundsRecoveryId:
          example: 91d65e98-97c0-4b0f-b577-73625da1f9fc
          type: string
        contactInformation:
          $ref: '#/components/schemas/ContactInformation'
        createdAt:
          example: '2023-11-07T05:31:56Z'
          format: date-time
          type: string
        id:
          example: 550e8400-e29b-41d4-a716-446655440000
          type: string
        reportDetails:
          example: Customer reported receiving a call from fake bank employee
          type: string
        reporterParticipant:
          example: '12345678'
          type: string
        rootTransactionId:
          example: E12345678202411241430ABCDEFGHIJK
          type: string
        situationType:
          enum:
            - SCAM
            - ACCOUNT_TAKEOVER
            - COERCION
            - FRAUDULENT_ACCESS
            - OTHER
            - UNKNOWN
          example: SCAM
          type: string
        status:
          enum:
            - CREATED
            - TRACKED
            - AWAITING_ANALYSIS
            - ANALYSED
            - REFUNDING
            - COMPLETED
            - CANCELLED
          example: CREATED
          type: string
        updatedAt:
          example: '2023-11-07T05:31:56Z'
          format: date-time
          type: string
      type: object
    ContactInformation:
      properties:
        email:
          description: Email is the email address of the customer reporting the fraud
          example: customer@example.com
          type: string
        phone:
          description: |-
            Phone is the phone number of the customer reporting the fraud
            Format: E.164 format recommended (e.g., +5511999999999)
          example: '+5511999999999'
          type: string
      required:
        - email
        - phone
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````